%bcond_without python
%ifnarch %arm %mips
%bcond_without sharp
%endif

%define major		4
%define libname		%mklibname gpod %{major}
%define libnamedev	%mklibname -d gpod
%define api		1.0

Summary:	Library to access an iPod audio player
Name:		libgpod
Version:	0.8.2
Release:	%mkrel 5
Source0:	http://prdownloads.sourceforge.net/gtkpod/%{name}-%{version}.tar.bz2
License:	LGPLv2+
Group:		System/Libraries
Url:		http://www.gtkpod.org/
BuildRequires:	gtk+2-devel
BuildRequires:	udev-devel
BuildRequires:	dbus-glib-devel

BuildRequires:	libsgutils-devel
BuildRequires:	taglib-devel
BuildRequires:	libxml2-devel
BuildRequires:	libsqlite3-devel
BuildRequires:	libusb1-devel
BuildRequires:	libimobiledevice-devel
BuildRequires:	gtk-doc
BuildRequires:	eject
BuildRequires:	intltool

%description
libgpod is a library meant to abstract access to an iPod content. It
provides an easy to use API to retrieve the list of files and playlist
stored on an iPod, to modify them and to save them back to the iPod.

%package -n %{libname}
Group:		System/Libraries
Summary:	Library to access an iPod audio player
Requires:	eject
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname}
libgpod is a library meant to abstract access to an iPod content. It
provides an easy to use API to retrieve the list of files and playlist
stored on an iPod, to modify them and to save them back to the iPod.

%package -n %{libnamedev}
Group:		Development/C
Summary:	Library to access an iPod audio player
Requires:	%{libname} = %{version}-%{release}
%if %{with sharp}
Suggests:	%{name}-sharp = %{version}-%{release}
%endif
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d gpod 2

%description -n %{libnamedev}
libgpod is a library meant to abstract access to an iPod content. It
provides an easy to use API to retrieve the list of files and playlist
stored on an iPod, to modify them and to save them back to the iPod.

%if %{with python}
%package -n python-gpod
Group:		Development/Python
Summary:	Python module for iPod access
BuildRequires:	python-gobject-devel
BuildRequires:	python-devel
BuildRequires:	mutagen
BuildRequires:	swig
Requires:	mutagen
Requires:	%{libname} = %{version}-%{release}

%description -n python-gpod
libgpod is a library meant to abstract access to an iPod content. It
provides an easy to use API to retrieve the list of files and playlist
stored on an iPod, to modify them and to save them back to the iPod.

This is a Python binding for libgpod.
%endif

%if %{with sharp}
%package sharp
Group:		Development/Other
Summary:	Mono binding to libgpod for iPod access
BuildRequires:	mono-devel
BuildRequires:	gtk-sharp2
BuildRequires:	gtk-sharp2-devel
Requires:	%libname = %{version}-%{release}

%description sharp
libgpod is a library meant to abstract access to an iPod content. It
provides an easy to use API to retrieve the list of files and playlist
stored on an iPod, to modify them and to save them back to the iPod.

This is a Mono binding for libgpod.
%endif

%prep 
%setup -q
%apply_patches

%build
%configure2_5x \
	--disable-static \
	--enable-udev \
	--without-hal 

%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%if !%{with sharp}
rm -f %{buildroot}/%{_libdir}/pkgconfig/%{name}-sharp.pc
%endif

%find_lang %{name}

%files -f %{name}.lang
%doc README* AUTHORS
%{_bindir}/ipod-read-sysinfo-extended
/lib/udev/iphone-set-info
/lib/udev/ipod-set-info
/lib/udev/rules.d/90-libgpod.rules

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}*

%files -n %{libnamedev}
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/%{name}
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%if %{with sharp}
%{_libdir}/pkgconfig/%{name}-sharp.pc
%endif
%{_includedir}/gpod-%{api}/

%if %{with python}
%files -n python-gpod
%{py_platsitedir}/gpod/
%endif

%if %{with sharp}
%files sharp
%{_libdir}/pkgconfig/%{name}-sharp.pc
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/%{name}-sharp*
%endif


%changelog

* Sat Mar 02 2013 rtp <rtp> 0.8.2-5.mga3
+ Revision: 401075
- disable mono package on arm/mips

* Sat Jan 12 2013 umeabot <umeabot> 0.8.2-4.mga3
+ Revision: 357359
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Aug 07 2012 wally <wally> 0.8.2-3.mga3
+ Revision: 279838
- rebuild for new libimobiledevice
- don't regenerate gtk-docs
- drop deprecated HAL parts from .spec

* Sat Apr 21 2012 remmy <remmy> 0.8.2-2.mga2
+ Revision: 232282
- Change dependency on sharp lib into a suggest (closes mga#3429)

  + wally <wally>
    - new version 0.8.2
    - disable static build
    - clean .spec a bit

  + dmorgan <dmorgan>
    - Clean spec file

* Mon Jun 20 2011 dmorgan <dmorgan> 0.8.0-5.mga2
+ Revision: 110471
- Rebuild against new libimobiledevice

* Fri Mar 25 2011 ahmad <ahmad> 0.8.0-4.mga1
+ Revision: 77421
- bump rel and submit to core/testing to build against libimobiledevice-1.1.0

* Mon Jan 24 2011 ahmad <ahmad> 0.8.0-3.mga1
+ Revision: 35921
- drop old/unneeded scriptlets
- imported package libgpod


* Mon Nov 01 2010 Götz Waschk <waschk@mandriva.org> 0.8.0-2mdv2011.0
+ Revision: 591430
- build with hal for future backports
- rebuild for python 2.7

* Tue Oct 12 2010 Götz Waschk <waschk@mandriva.org> 0.8.0-1mdv2011.0
+ Revision: 585134
- update to new version 0.8.0

* Wed Sep 29 2010 Götz Waschk <waschk@mandriva.org> 0.7.95-1mdv2011.0
+ Revision: 582071
- new version
- drop patch

* Fri Sep 10 2010 Götz Waschk <waschk@mandriva.org> 0.7.94-3mdv2011.0
+ Revision: 577066
- add missing automake call

* Fri Sep 10 2010 Götz Waschk <waschk@mandriva.org> 0.7.94-2mdv2011.0
+ Revision: 577065
- fix libgpod-sharp dll map
- update python dep

* Wed Sep 01 2010 Götz Waschk <waschk@mandriva.org> 0.7.94-1mdv2011.0
+ Revision: 575012
- new version
- add mono bindings

* Tue Apr 06 2010 Christophe Fergeau <cfergeau@mandriva.com> 0.7.93-1mdv2010.1
+ Revision: 532378
- libgpod 0.7.93

* Mon Mar 22 2010 Christophe Fergeau <cfergeau@mandriva.com> 0.7.92-2mdv2010.1
+ Revision: 526326
- rebuild against new libimobiledevice

* Fri Mar 19 2010 Christophe Fergeau <cfergeau@mandriva.com> 0.7.92-1mdv2010.1
+ Revision: 525233
- libgpod 0.7.92

  + Götz Waschk <waschk@mandriva.org>
    - add all README files and move ChangeLog to the devel package

* Tue Mar 02 2010 Christophe Fergeau <cfergeau@mandriva.com> 0.7.91-1mdv2010.1
+ Revision: 513548
- 0.7.91

* Fri Feb 05 2010 Christophe Fergeau <cfergeau@mandriva.com> 0.7.90-1mdv2010.1
+ Revision: 501129
- libgpod 0.7.90:
- nano5g and iphone support \o/

* Wed Dec 09 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.7.2-2mdv2010.1
+ Revision: 475359
- add patch to fix non-working nano 4g black

* Fri Apr 24 2009 Götz Waschk <waschk@mandriva.org> 0.7.2-1mdv2010.0
+ Revision: 368991
- new version
- fix installation

  + Christophe Fergeau <cfergeau@mandriva.com>
    - add libxml2 to buildrequires

* Mon Jan 19 2009 Götz Waschk <waschk@mandriva.org> 0.7.0-1mdv2009.1
+ Revision: 331104
- new version
- new major
- drop all patches
- fix build deps

* Fri Dec 26 2008 Funda Wang <fwang@mandriva.org> 0.6.0-6mdv2009.1
+ Revision: 319223
- rediff ipod patch
- rebuild for new python

* Wed Jul 30 2008 Götz Waschk <waschk@mandriva.org> 0.6.0-5mdv2009.0
+ Revision: 254898
- fix build with libsgutils2
- fix missing header
- update license

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Mar 20 2008 Götz Waschk <waschk@mandriva.org> 0.6.0-4mdv2008.1
+ Revision: 189130
- fix several bugs with patches from svn

* Thu Feb 21 2008 Götz Waschk <waschk@mandriva.org> 0.6.0-3mdv2008.1
+ Revision: 173501
- move hal callout to the right dir

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 12 2007 Götz Waschk <waschk@mandriva.org> 0.6.0-2mdv2008.1
+ Revision: 108087
- fix devel name

* Sun Nov 11 2007 Götz Waschk <waschk@mandriva.org> 0.6.0-1mdv2008.1
+ Revision: 108024
- fix buildrequires
- new version
- new major
- add new hal callout

* Sat Jun 23 2007 Götz Waschk <waschk@mandriva.org> 0.5.2-1mdv2008.0
+ Revision: 43402
- new version

* Mon Jun 18 2007 Götz Waschk <waschk@mandriva.org> 0.5.0-1mdv2008.0
+ Revision: 40887
- new version
- new major
- new python-gpod dep on mutagen


* Mon Jan 15 2007 Götz Waschk <waschk@mandriva.org> 0.4.2-2mdv2007.0
+ Revision: 109259
- just increase the release tag
- fix python path
- new version
- new major

* Thu Dec 14 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.4.0-3mdv2007.1
+ Revision: 97036
- Rebuild against new Python

  + Götz Waschk <waschk@mandriva.org>
    - fix python package on x86_64 (Colin Guthrie)
    - Import libgpod

* Sat Oct 07 2006 Götz Waschk <waschk@mandriva.org> 0.4.0-1mdv2007.1
- add python bindings
- fix buildrequires
- update file list
- New version 0.4.0

* Wed Aug 02 2006 Götz Waschk <waschk@mandriva.org> 0.3.2-2mdv2007.0
- fix buildrequires

* Sun Mar 05 2006 Götz Waschk <waschk@mandriva.org> 0.3.2-1mdk
- New release 0.3.2

* Wed Jan 25 2006 Götz Waschk <waschk@mandriva.org> 0.3.0-2mdk
- rebuild for new dbus

* Sun Dec 11 2005 Götz Waschk <waschk@mandriva.org> 0.3.0-1mdk
- New release 0.3.0
- use mkrel

* Sat Dec 03 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.2.0-3mdk
- add BuildRequires: perl-XML-Parser

* Thu Dec 01 2005 Frederic Crozat <fcrozat@mandriva.com> 0.2.0-2mdk
- Remove pmount dependency, it isn't needed at all

* Mon Nov 28 2005 Götz Waschk <waschk@mandriva.org> 0.2.0-1mdk
- initial package

